<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

    <body>
        <div th:fragment="navigation-bar">
            <!-- Navbar -->
            <nav class="main-header navbar navbar-expand navbar-white navbar-light">
                <!-- Left navbar links -->
                <ul class="navbar-nav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
                    </li>
                </ul>
                <!-- Right navbar links -->
                <ul class="navbar-nav ml-auto">
                    <li>
                        <a class="nav-link" href="#">
                            <i class="far fa-envelope"></i>
                            <span class="badge badge-danger navbar-badge"></span>
                        </a>
                    </li>
                    <li>
                        <a class="nav-link" href="#">
                            <i class="far fa-comments"></i>
                            <span class="badge badge-warning navbar-badge"></span>
                        </a>
                    </li>
                    <li>
                        <a class="nav-link" href="#">
                            <i id="btnLogout" class="fa fa-sign-out-alt fa-2x"></i>
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- /.navbar -->
            <script th:inline="javascript">
                $('#btnLogout').click(function() { 
                    window.location.href="/logout";
                });
            </script>
        </div> <!-- end fragment -->

        <div th:fragment="main-sidebar">
            <!-- Main Sidebar Container -->
            <aside class="main-sidebar sidebar-dark-primary elevation-4">
                <!-- Brand Logo -->
                <a href="index3.html" class="brand-link">
                <!-- img th:src="@{/images/lighthouse.png}" alt="Lighthouse" class="brand-image img-circle elevation-2" style="opacity: .8" -->
                <i class="brand-image" style="float:none">
                    <span class="fas fa-2x fa-broadcast-tower"></span>
                </i>
                <span class="brand-text font-weight-light">Command Center</span>
                </a>
                <!-- Sidebar -->
                <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img th:src="@{/images/profile.png}" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Hinotori</a>
                    </div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <li class="nav-header">MENU</li>
                        <li class="nav-item">
                            <a th:href="@{/frontpage}" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Inicial</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a th:href="@{/today}" class="nav-link">
                                <i class="nav-icon fas fa-sun"></i>
                                <p>Hoje</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a th:href="@{/tomorrow}" class="nav-link">
                                <i class="nav-icon fas fa-moon"></i>
                                <p>Amanhã</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a th:href="@{/yesterday}" class="nav-link">
                                <i class="nav-icon fas fa-bed"></i>
                                <p>Ontem</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a th:href="@{/execution}" class="nav-link">
                                <i class="nav-icon fas fa-rocket"></i>
                                <p>Execução</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a th:href="@{/setup/channel}" class="nav-link">
                                <i class="nav-icon fa fa-tv"></i>
                                <p>Canais</p>
                            </a>
                        </li>
                        <li class="nav-item has-treeview">
                            <a href="#" class="nav-link">
                            <i class="nav-icon far fa-envelope"></i>
                            <p>
                                Mailbox
                                <i class="fas fa-angle-left right"></i>
                            </p>
                            </a>
                            <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="pages/mailbox/mailbox.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Inbox</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/mailbox/compose.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Compose</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/mailbox/read-mail.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Read</p>
                                </a>
                            </li>
                            </ul>
                        </li>
                        <li class="nav-item has-treeview">
                            <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-book"></i>
                            <p>
                                Pages
                                <i class="fas fa-angle-left right"></i>
                            </p>
                            </a>
                            <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="pages/examples/invoice.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Invoice</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/profile.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Profile</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/e_commerce.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>E-commerce</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/projects.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Projects</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/project_add.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Project Add</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/project_edit.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Project Edit</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/project_detail.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Project Detail</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/contacts.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Contacts</p>
                                </a>
                            </li>
                            </ul>
                        </li>
                        <li class="nav-item has-treeview">
                            <a href="#" class="nav-link">
                            <i class="nav-icon far fa-plus-square"></i>
                            <p>
                                Extras
                                <i class="fas fa-angle-left right"></i>
                            </p>
                            </a>
                            <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="pages/examples/login.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Login</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/register.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Register</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/forgot-password.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Forgot Password</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/recover-password.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Recover Password</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/lockscreen.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Lockscreen</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/legacy-user-menu.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Legacy User Menu</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/language-menu.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Language Menu</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/404.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Error 404</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/500.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Error 500</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/pace.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Pace</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="pages/examples/blank.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Blank Page</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="starter.html" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Starter Page</p>
                                </a>
                            </li>
                            </ul>
                        </li>
                        <li class="nav-header">MISCELLANEOUS</li>
                        <li class="nav-item">
                            <a href="https://adminlte.io/docs/3.0" class="nav-link">
                            <i class="nav-icon fas fa-file"></i>
                            <p>Documentation</p>
                            </a>
                        </li>
                        <li class="nav-header">MULTI LEVEL EXAMPLE</li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                            <i class="fas fa-circle nav-icon"></i>
                            <p>Level 1</p>
                            </a>
                        </li>
                        <li class="nav-item has-treeview">
                            <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-circle"></i>
                            <p>
                                Level 1
                                <i class="right fas fa-angle-left"></i>
                            </p>
                            </a>
                            <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="#" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Level 2</p>
                                </a>
                            </li>
                            <li class="nav-item has-treeview">
                                <a href="#" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>
                                        Level 2
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="#" class="nav-link">
                                        <i class="far fa-dot-circle nav-icon"></i>
                                        <p>Level 3</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="#" class="nav-link">
                                        <i class="far fa-dot-circle nav-icon"></i>
                                        <p>Level 3</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="#" class="nav-link">
                                        <i class="far fa-dot-circle nav-icon"></i>
                                        <p>Level 3</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a href="#" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Level 2</p>
                                </a>
                            </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                            <i class="fas fa-circle nav-icon"></i>
                            <p>Level 1</p>
                            </a>
                        </li>
                        <li class="nav-header">LABELS</li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                            <i class="nav-icon far fa-circle text-danger"></i>
                            <p class="text">Important</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                            <i class="nav-icon far fa-circle text-warning"></i>
                            <p>Warning</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                            <i class="nav-icon far fa-circle text-info"></i>
                            <p>Informational</p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
                </div>
                <!-- /.sidebar -->
            </aside>
        </div> <!-- end fragment -->

        <div th:fragment="main-footer">
            <!-- Main Footer -->
            <footer class="main-footer">
                <strong>Copyright &copy; 2014-2019 <a href="http://adminlte.io">AdminLTE.io</a>.</strong>
                All rights reserved.
                <div class="float-right d-none d-sm-inline-block">
                    <b>Version</b> 3.2.0
                </div>
            </footer>
        </div>

        <div th:fragment="listPosts" class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                    <h3 class="card-title">Posts</h3>
    
                    <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control float-right" placeholder="Search">
    
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-default"><i class="fas fa-search"></i></button>
                        </div>
                        </div>
                    </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                        <table id="tblPosts" class="table table-hover table-striped">
                            <thead>
                                <tr>
                                    <th>id</th>
                                    <th>Apagar</th>
                                    <th>Editar</th>
                                    <th>Título</th>
                                    <th>Aprovado</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr th:each="post: ${allposts}" th:id="'post' + ${post.id}">
                                    <td th:text="${post.id}"></td>
                                    <td><a href="#" th:onclick="@{'deletepost(' + ${post.id} + ');'}"><i class="nav-icon fas fa-trash"></i></a></td>
                                    <td><a th:href="@{/admin/updatepost(id=${post.id})}"><i class="nav-icon fas fa-edit"></i></a></td>
                                    <td th:text="${post.title}"></td>
                                    <td><i th:class="${post.isDraft} ? 'fa fa-ban' : 'fa fa-thumbs-up'"></i></td>
                                </tr>
                            </tbody>
                        </table>
                    </div> <!-- /.card-body -->
                </div> <!-- /.card -->
            </div>

            <!-- Modal -->
            <div class="modal fade" id="modalFormTitle" tabindex="-1" role="dialog" aria-labelledby="modalFormTitleLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalFormTitleLabel">Inserir título da postagem</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                            <label for="post-title" class="col-form-label">Título da postagem:</label>
                            <input type="text" class="form-control" id="post-title">
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                        <button id="btnSaveNewPost" type="button" class="btn btn-primary">Prosseguir</button>
                    </div>
                </div>
                </div>
            </div>
            <button id="btnNewPost" type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#modalFormTitle">
                Novo post
            </button>

            <script th:inline="javascript">
                $('#btnSaveNewPost').click(function() {
                    var post = {
                        title : $('#post-title').val(),
                    };

                    console.log("post: " + JSON.stringify(post, null, 4));

                    $.ajax({
                        type: "POST",
                        url: "/post/save",
                        data: JSON.stringify(post),
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            console.log("post: " + post + " post.id: " + data.id);
                            window.location.href = "/admin/updatepost?id=" + data.id;
                        },
                        error : function(jqXHR, textStatus, errorThrown) {
                            console.log("erro na atualização do composer");
                            console.log("jqXHR: " + jqXHR.status);
                            console.log("textStatus: " + textStatus);
                            console.log("errorThrown: " + errorThrown);
                        }
                    });
                });
    
                function deletepost(id) {
                    console.log("entrou na deletepost: " + id);
                    $.ajax({
                        type: "GET",
                        url: "/post/delete?id=" + id,
                        cache: false,
                        contentType: false,
                        processData: false,
                        success: function() {
                            console.log(id + " removido com sucesso!");
                            $('table#tblPosts tr#post' + id).remove();
                        },
                        error : function(jqXHR, textStatus, errorThrown) {
                            alert('não deu certo!');
                            console.log("jqXHR: " + jqXHR.status);
                            console.log("textStatus: " + textStatus);
                            console.log("errorThrown: " + errorThrown);
                        }
                    });
                }
            </script>  
        </div>

    </body>

</html>